import autoImport from 'unplugin-auto-import/vite';
import Components from 'unplugin-vue-components/vite';
import { VantResolver } from '@vant/auto-import-resolver';

export default function createAutoImportVant() {
  return [
    autoImport({
      resolvers: [VantResolver()],
      dts: false // 禁用auto-imports.d.ts生成
    }),
    Components({
      resolvers: [VantResolver()],
      dts: false // 禁用auto-imports.d.ts生成
    }),
  ]
};